# Tourplaner: tourplaner.business.ConfigHelper Class Reference

tourplaner.business.ConfigHelper Class Reference

## Static Public Member Functions

static int | getIniInt (String filename, String sectionName, String optionName)
static String | getIniString (String filename, String sectionName, String optionName)
static String | getLangIniString (String optionName)
static void | setIniString (String filename, String sectionName, String optionName, String value)
static void | setIniInt (String filename, String sectionName, String optionName, int value)
static String | getStandartConfig ()
static String | getStandartLangde ()

## Static Public Attributes

static String | standartConfig = "conf.ini"
static String | standartLangDe = "langde.ini"

## Detailed Description

Dient dem ein und auslesen von .ini Dateien

## Member Function Documentation

## getIniInt()

static int tourplaner.business.ConfigHelper.getIniInt | ( | String | filename,
|  | String | sectionName,
|  | String | optionName
| ) |  |

static

Liest einen Int aus der Config aus

Parameters

  filename | Speicherort
  sectionName | Sections Name
  optionName | Options Name

Returns
  Den angeforderten String

## getIniString()

static String tourplaner.business.ConfigHelper.getIniString | ( | String | filename,
|  | String | sectionName,
|  | String | optionName
| ) |  |

static

Liest einen String aus der Config aus

Parameters

  filename | Speicherort
  sectionName | Sections Name
  optionName | Options Name

Returns
  Den angeforderten String

## getLangIniString()

static String tourplaner.business.ConfigHelper.getLangIniString | ( | String | optionName | ) |

static

Liest einen String aus der Lang datei aus Die Sprache wird im config file umgestellt

Parameters

  optionName | Options Name

Returns
  Den angeforderten String

## getStandartConfig()

static String tourplaner.business.ConfigHelper.getStandartConfig | ( |  | ) |

static

Gibt den namen des standard Config file zurück

Returns
  Name des standard config files

## getStandartLangde()

static String tourplaner.business.ConfigHelper.getStandartLangde | ( |  | ) |

static

Gibt den namen des standard langde file zurück

Returns
  Name des standard langde files

## setIniInt()

static void tourplaner.business.ConfigHelper.setIniInt | ( | String | filename,
|  | String | sectionName,
|  | String | optionName,
|  | int | value
| ) |  |

static

Setzt ein int in der Config

Parameters

  filename | Speicherort
  sectionName | Sections Name
  optionName | Options Name
  value | Wert der eingetragen werden soll

## setIniString()

static void tourplaner.business.ConfigHelper.setIniString | ( | String | filename,
|  | String | sectionName,
|  | String | optionName,
|  | String | value
| ) |  |

static

Setzt ein String in der Config

Parameters

  filename | Speicherort
  sectionName | Sections Name
  optionName | Options Name
  value | Wert der eingetragen werden soll

## Member Data Documentation

## standartConfig

String tourplaner.business.ConfigHelper.standartConfig = "conf.ini"

static

## standartLangDe

String tourplaner.business.ConfigHelper.standartLangDe = "langde.ini"

static

The documentation for this class was generated from the following file:

- src/tourplaner/business/ConfigHelper.java